<%@ page contentType="text/html; charset=UTF-8"%><%@ include file="/WEB-INF/jspf/include/taglibs.jsp"%>

<div class="buttons">
	<div class="cursorPointer" onclick="showBlock( 'helpdeskRoot', 'topicActiveList', helpdeskListQuery );"><img title="к списку" src="${contextPath}/img/left.png" height="32"/></div>
<!-- <div><label for="hdTopicFilterCheckbox"><img title="Фильтр тем" src="${contextPath}/img/filter.png" height="32"/></label></div>  -->
</div>

<form>
<div class="tile">
	<div class="titleFont3 titleBottomLine" style="margin-bottom: 20px;">Создать новую тему</div>

	<c:if test="${not empty categoryList}">
		<div class="textFieldLabel mTop10">Категория:</div>
		<div class="textField" id="categoryDiv"><select name="topicCommCategory" onchange="showBlock( 'helpdeskSubcategory', 'topicSubcategory', { ...helpdeskQuery, categoryId: this.value } );"><c:forEach var="item" items="${categoryList}"><option value="${item.id}">${item.title}</option></c:forEach></select></div>
	 </c:if>

	<div id="helpdeskSubcategory"></div>

    <c:if test="${not empty addTextTitle}">
		<div class="textFieldLabel mTop10" id="additionalTextDiv"><span id="topic.additionalTextToSubject.title">${addTextTitle}</span></div>
		<div class="textField"><select name="topicAdditionalTextToSubjectValues"><c:forEach var="item" items="${addTextValues}"><option value="${item}">${item}</option></c:forEach></select></div>
    </c:if>

	<div class="textFieldLabel mTop10">Название темы:</div>
	<div class="textField"><input type="text" name="topicTitle" placeholder="Введите название темы" /></div>

	<div class="textFieldLabel mTop10">Режим оповещения об ответах:</div>
    <div class="flexRow">
    	<div class="textField" style="flex-grow: 0;">
	    	<select name="topicCommMode" onchange="setTopicCommValue( this )">
	    		<c:forEach var="item" items="${commOptions}">
					<c:set var="selected"><c:if test="${item.selected}">selected="selected"</c:if></c:set>
	    			<option value="${item.id}" ${selected} commValue="${item.value}">${item.title }</option>
	    		</c:forEach>
	    	</select> 
    	</div>
    	<div class="textField" style="flex-grow: 1; margin-left: 1rem;"><input type="text" name="topicCommValue" value="${currentCommValue}"/></div>
	</div>

	<div class="textFieldLabel mTop10">Текст сообщения:</div>
    <div class=""><textarea name="topicMessageText" rows="10" style="" class="messageText" oninput="document.getElementById('hdMessageSendButton').style.display=this.value.length > 0 ? 'block' : 'none';"></textarea><br/></div>

	<div id="hdAttach"><script type="text/javascript">showBlock( 'hdAttach', 'uploadFile', { ...helpdeskListQuery, messageUUID: '${messageUUID}' } );</script> </div>

    <div class="formButtons"><div id="hdMessageSendButton" style="padding: 10px 0px; display: none;"><button onclick="return updateHelpDeskTopic( this.form );">Отправить</button></div></div>
</div>
</form>

<form action="webexecuter" method="post">
    <input type="hidden" name="action" value="UpdateTopic" />
    <input type="hidden" name="module" value="ru.bitel.bgbilling.plugins.helpdesk" />
    <input type="hidden" name="mid" value="0" />
    <input type="hidden" name="ct" value="json" />
    <input type="hidden" name="contractId" value="${clientid}" />
</form>

<script>
function updateHelpDeskTopic( form )
{
	if ( !checkFormInput( form, 'topicCommCategory', 'Выберите категорию' ) ) return false;
	if ( !checkFormInput( form, 'topicCommSubcategory', 'Выберите подкатегорию' ) ) return false;
	<c:if test="${not empty addTextTitle}">if ( !checkFormInput( form, 'topic.additionalTextToSubject.values', '${addTextTitle}' ) ) return false;</c:if>
	if ( !checkFormText( form, 'topicTitle', 'Введите название темы' ) ) return false;
	if ( !checkFormText( form, 'topicMessageText', 'Введите текст сообщения' ) ) return false;
	showBlock( 'helpdeskRoot', 'topicUpdate', 
			{ ...helpdeskQuery, 
				messageUUID: '${messageUUID}', 
				topicCategoryId: form.topicCommCategory.value,
				topicSubcategoryId: form.topicCommSubcategory.value,
				addTextToSubject: form.topicAdditionalTextToSubjectValues.value,
				topicCommMode: form.topicCommMode.value,
				topicCommValue: form.topicCommValue.value,
				topicTitle: form.topicTitle.value, 
				messageText: form.topicMessageText.value 
			}, "json"
	);
	return false;
}

function checkFormInput( form, name, errorText )
{
	if ( form.elements[name] )
	{
		let value = form.elements[name].value;
		if ( value == 0 || value == 'Не выбрано' )
		{
			showError( { text: errorText } );
			return false;
		}
	}
	return true;
}

function checkFormText( form, name, errorText )
{
	if ( form.elements[name] )
	{
		if ( !form.elements[name].value )
		{
			showError( { text: errorText } );
			return false;
		}
	}
	return true;
}
</script>